#
# Conditional build
%bcond_without	tests	# unit tests

Summary:	A header-only C++11 serialization library
Summary(pl.UTF-8):	Składająca się z samych nagłówków biblioteka C++11 do serializacji
Name:		cereal
Version:	1.3.2
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://github.com/USCiLab/cereal/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	ab6070fadc7c50072ef4153fb1c46a87
URL:		http://uscilab.github.io/cereal/
BuildRequires:	boost-devel
BuildRequires:	cmake >= 3.6
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
cereal is a header-only C++11 serialization library. cereal takes
arbitrary data types and reversibly turns them into different
representations, such as compact binary encodings, XML, or JSON.
cereal was designed to be fast, light-weight, and easy to extend - it
has no external dependencies and can be easily bundled with other code
or used standalone.

%description -l pl.UTF-8
cereal to składająca się z samych nagłówków biblioteka C++11 do
serializacji. Przyjmuje dowolne typy danych i odwracalnie zamienia je
na różne reprezentacje, takie jak zwięzłe kodowania binarne, XML czy
JSON. careal jest zaprojektowana jako szybka, lekka i łatwa do
rozszerzania - nie ma zewnętrznych zależności i może być łatwo
dołączona do innego kodu lub używana samodzielnie.

%package devel
Summary:	A header-only C++11 serialization library
Summary(pl.UTF-8):	Składająca się z samych nagłówków biblioteka C++11 do serializacji
Group:		Development/Libraries

%description devel
cereal is a header-only C++11 serialization library. cereal takes
arbitrary data types and reversibly turns them into different
representations, such as compact binary encodings, XML, or JSON.
cereal was designed to be fast, light-weight, and easy to extend - it
has no external dependencies and can be easily bundled with other code
or used standalone.

%description devel -l pl.UTF-8
cereal to składająca się z samych nagłówków biblioteka C++11 do
serializacji. Przyjmuje dowolne typy danych i odwracalnie zamienia je
na różne reprezentacje, takie jak zwięzłe kodowania binarne, XML czy
JSON. careal jest zaprojektowana jako szybka, lekka i łatwa do
rozszerzania - nie ma zewnętrznych zależności i może być łatwo
dołączona do innego kodu lub używana samodzielnie.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DSKIP_PORTABILITY_TEST=ON \
	-DWITH_WERROR=OFF

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc README.md
%{_includedir}/cereal
%{_libdir}/cmake/cereal
%changelog
* Sat Mar 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cereal.git;a=log;h=master

* Sat Mar 09 2024 Jakub Bogusz <qboosh@pld-linux.org> e931569
- updated to 1.3.2; no longer noarch due to cmake configs path

* Sat Mar 09 2024 Jakub Bogusz <qboosh@pld-linux.org> 9c3379d
- pl, cleanup

* Mon May 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a4625d
- initial

